WOOB-MONEY(1)

NAME
woob-money - import bank accounts into Microsoft Money

SYNOPSIS
woob money [-dqv] [-b backends] [-cnfs] [command [arguments..]]
woob money [--help] [--version]

DESCRIPTION

Console application that imports bank accounts into Microsoft Money

  Supported websites:
* abeilleassurances (Abeille Assurances)
* afer (Association française d'épargne et de retraite)
* allianzbanque (Allianz Banque)
* amazonstorecard (Amazon Store Card)
* americanexpress (American Express)
* amundi (Amundi)
* apivie (Apivie)
* axabanque (AXA Banque)
* banqueaccord (Banque Accord)
* banquepopulaire (Banque Populaire)
* barclays (Milleis)
* becm (Banque Européenne Crédit Mutuel)
* bforbank (BforBank)
* binck (Binck)
* bnp (BNP Paribas)
* bnpcards (BNP Cartes Entreprises)
* bnppere (BNP Épargne Salariale)
* boursedirect (Bourse direct)
* boursorama (Boursorama)
* bp (La Banque Postale)
* bred (Bred)
* btpbanque (BTP Banque)
* caels (Crédit Agricole - Épargne Longue des Salariés)
* caissedepargne (Caisse d'Épargne)
* capeasi (AXA Épargne Salariale)
* carrefourbanque (Carrefour Banque)
* ccf (CCF (ex HSBC France) est une banque de détail française créée en 1917, rachetée en 2000 par HSBC, puis par My Money Group (ex GE Money Bank France) en 2024.)
* cic (CIC)
* cices (CIC Épargne Salariale)
* citibank (Citibank)
* cmb (Crédit Mutuel de Bretagne)
* cmes (Crédit Mutuel Épargne Salariale)
* cmso (Crédit Mutuel Sud-Ouest)
* courtois (Banque Courtois)
* cragr (Crédit Agricole)
* creditcooperatif (Crédit Coopératif)
* creditdunord (Crédit du Nord, Banque Courtois, Kolb, Nuger, Laydernier, Tarneaud, Société Marseillaise de Crédit)
* creditdunordpee (Crédit du Nord Épargne Salariale)
* creditmutuel (Crédit Mutuel)
* degiro (De giro)
* delubac (Banque Delubac & Cie)
* erehsbc (HSBC Épargne Salariale)
* esalia (Société Générale Épargne Salariale)
* federalfinancees (Federal Finance Épargne Salariale)
* fortuneo (Fortuneo)
* ganassurances (Gan Assurances)
* ganpatrimoine (Gan Patrimoine)
* ganprevoyance (Gan Prévoyance)
* gmf (GMF)
* groupama (Groupama)
* groupamaes (Groupama Épargne Salariale)
* helios (Helios is a neobank which excludes fossil fuels from its investments.)
* hellobank (Hello bank (BNP Paribas))
* hsbchk (HSBC Hong Kong)
* humanis (Humanis Épargne Salariale)
* ing (ING France)
* kiwibank (Kiwibank)
* kolb (Banque Kolb)
* kraken (Kraken bitcoin exchange)
* laydernier (Banque Laydernier)
* lcl (LCL)
* lendosphere (Lendosphere)
* linebourse (linebourse website)
* lita (Lita is an investment platform that allows you to contribute financially to sustainable, ecological, social and/or solidarity projects.)
* mafrenchbank (Ma French Bank)
* milleis (Milleis)
* myedenred (MyEdenRed)
* n26 (Bank N26)
* nalo (Nalo)
* nef (La Nef)
* netfinca (netfinca website)
* nuger (Banque Nuger)
* oney (Oney)
* orangebank (Orange Bank)
* paypal (PayPal)
* pradoepargne (Prado Épargne Salariale)
* primonialreim (Primonial REIM)
* rhonealpe (Banque Rhône alpes)
* roblox (Roblox)
* s2e (Épargne Salariale)
* smc (Société Marseillaise de Crédit)
* societegenerale (Société Générale)
* sogecartenet (Sogecarte Net)
* spirica (Spirica)
* suravenir (Assurance-vie Suravenir à travers différents courtiers (assurancevie.com, linxea, ...))
* swile (Swile)
* swisslife (SwissLife)
* tarneaud (Banque Tarneaud)
* themisbanque (Themis)
* tiime (Tiime)
* transatplan (Banque Transatlantique épargne salariale)
* vicseccard (Victoria's Secret Angel Card)
* wiseed (WiSEED)
* yomoni (Yomoni)

MONEY COMMANDS

add_recipient iban label
    Add a recipient to a backend.

coming ID [END_DATE]
    Display future transactions.
    If END_DATE is supplied, show all transactions until this date.
    Default is limited to 10 results.

convert_currency FROM_CURRENCY TO_CURRENCY [AMOUNT]
    Convert an amount from a currency to another

debug
    Launch a debug Python shell

emitters
    Display transfer emitter account.

history ID [END_DATE]
    Display history of transactions.
    If END_DATE is supplied, list all transactions until this date.
    Default is limited to 10 results.

investment ID
    Display investments of an account.

list [-U]
    List accounts.
    Use -U to disable sorting of results.

market_order ID
    Display market orders of an account.
    Default is limited to 10 results.

pocket ID
    Display pockets of an account.

profile
    Display detailed information about person or company.

recipients ACCOUNT
    List recipients of ACCOUNT

transfer [ACCOUNT RECIPIENT AMOUNT [LABEL [EXEC_DATE]]]
    Make a transfer beetwen two accounts
    - ACCOUNT the source account
    - RECIPIENT the recipient
    - AMOUNT amount to transfer
    - LABEL label of transfer
    - EXEC_DATE date when to execute the transfer

transfer_history [ACCOUNT_ID]
    Display history of transfer transactions.
    Default is limited to 10 results.

WOOB COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

cd [PATH]
    Follow a path.
    ".." is a special case and goes up one directory.
    "" is a special case and goes home.

condition [EXPRESSION | off]
    If an argument is given, set the condition expression used to filter the results. See CONDITION section for more details and the expression.
    If the "off" value is given, conditional filtering is disabled.
    If no argument is given, print the current condition expression.

count [NUMBER | off]
    If an argument is given, set the maximum number of results fetched.
    NUMBER must be at least 1.
    "off" value disables counting, and allows infinite searches.
    If no argument is given, print the current count value.

formatter [list | FORMATTER [COMMAND] | option OPTION_NAME [on | off]]
    If a FORMATTER is given, set the formatter to use.
    You can add a COMMAND to apply the formatter change only to
    a given command.
    If the argument is "list", print the available formatters.
    If the argument is "option", set the formatter options.
    Valid options are: header, keys.
    If on/off value is given, set the value of the option.
    If not, print the current value for the option.
    If no argument is given, print the current formatter.

logging [LEVEL]
    Set logging level.
    Availables: debug, info, warning, error.
    * quiet is an alias for error
    * default is an alias for warning

ls [-d] [-U] [PATH]
    List objects in current path.
    If an argument is given, list the specified path.
    Use -U option to not sort results. It allows you to use a "fast path" to
    return results as soon as possible.
    Use -d option to display information about a collection (and to not
    display the content of it). It has the same behavior than the well
    known UNIX "ls" command.
    Default is limited to 40 results.

quit
    Quit the application.

select [FIELD_NAME]... | "$direct" | "$full"
    If an argument is given, set the selected fields.
    $direct selects all fields loaded in one http request.
    $full selects all fields using as much http requests as necessary.
    If no argument is given, print the currently selected fields.

storage [ACTION] [BACKEND_NAME]
    Manipulation of a backend storage.
    * cat display content of the storage
    * edit edit the storage
    * flush flush storage

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

--nss
    Use NSS instead of OpenSSL

--force-ipv4
    Force IPv4

--force-ipv6
    Force IPv6

--auto-update
    Automatically check for updates when a bug in a module is encountered

LOGGING OPTIONS

-d, --debug
    display debug messages. Set up it twice to more verbosity

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

--export-session
    log browser session cookies after login

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression. See CONDITION section for the syntax

-n COUNT, --count=COUNT
    limit number of results (from each backends)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, json, json_line, list, multiline, ops_list, simple, table)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

MONEY OPTIONS

-l, --list
    list the accounts and balance, without generating any import to MSMoney

-F, --force
    forces the retrieval of transactions (10 maximum), otherwise retrieves only the transactions newer than the previous retrieval date

-U UNTIL_DATE, --until-date=UNTIL_DATE
    retrieves until date YYYY-MM-DD max

-A ACCOUNTS, --accounts=ACCOUNTS
    retrieves only the specified accounts. By default, all accounts are retrieved

-N, --no-import
    no import. Generates the files, but they are not imported in MSMoney. Last import dates are not modified

-D, --display
    displays the generated OFX file

CONDITION
The -c and --condition is a flexible way to filter and get only interesting results. It supports conditions on numerical values, dates, durations and strings. Dates are given in YYYY-MM-DD or YYYY-MM-DD HH:MM format. Durations look like XhYmZs where X, Y and Z are integers. Any of them may be omitted. For instance, YmZs, XhZs or Ym are accepted. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination

You can make a expression combinations with the keywords " AND ", " OR " an " LIMIT ".

The LIMIT keyword can be used to limit the number of items upon which running the expression. LIMIT can only be placed at the end of the expression followed by the number of elements you want.

  Examples:
woob bank ls --condition 'label=Livret A'
Display only the "Livret A" account.

woob bank ls --condition 'balance>10000'
Display accounts with a lot of money.

woob bank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

woob bank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

woob bank history account@backend --condition 'date>2013-12-01 LIMIT 10'
Get transactions after the 2th December in the last 10 transactions

COPYRIGHT
Copyright(C) 2018-2024 Bruno Chabrier

For full copyright information see the COPYING file in the woob package.

FILES
"~/.config/woob/backends"

SEE ALSO
Home page: https://woob.tech/applications/money